AutoCAD Inventor :: Dimensioning Using Drawing Sketch Points?
Oct 8, 2012
I am trying to use sketch points in drawing for dimensioning. Below is portion of my code. The code fails when AddLinear is called. Is it even possible to use drawing sketch points for dimensioning?
invSheet = invDrawingDoc.ActiveSheet
Dim oTransGeom As Inventor.TransientGeometry= invApp.TransientGeometry
Dim pt1 AsPoint= oTransGeom.CreatePoint(0, 0, flangeOD / 2)
[Code]....
View 1 Replies
ADVERTISEMENT
Apr 30, 2013
It must surely be in there somewhere but I cant find a way to dimension to a line's midpoint in a sketch.
View 3 Replies
View Related
Dec 3, 2011
I am creating a part that consists of a series of intermediate Lofts. The various Loft termination profiles are sketched on a series of stacked planes, most of which are parallel to one another. I have a Work Axis (oriented at an angle off of true vertical) that penetrates all of these sketch planes, essentially forming a "central axis" for my part. Most, but not all, of my sketch planes are normal (perpendicular) to that axis.
I want to use my "central axis" as a reference point in each of my sketches, i.e., the point where the axis intersects the sketch plane. I am having a minor difficulty.
When I project my central axis into a sketch whose plane is normal (perpendicular) to the axis, Inventor displays a reference point where the axis penetrates the plane and I can dimension my sketch geometry relative to that point. Conversely, no such point is displayed when I project the axis into a sketch plane that is NOT normal to the axis.
Is this correct behavior? To have a dimension able point on my "non-normal" sketch planes, must I create explicit Work Points to mark the intersection between my Axis and such planes, and then project those points into the related sketches?
View 2 Replies
View Related
Jan 25, 2012
I have a couple of quick questions about dimensioning holes in drawings .
First, if I have a hole in a rod or shaft so the surface isn't a full circle I get the dimension as a radius. Can I change it to a diameter?
Second, in a model, how do I dimension or measure to the edge of a round rather than to it's center? In SW I could hold the shift key while selecting, is there a similar method here?
View 2 Replies
View Related
Sep 20, 2012
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
View 4 Replies
View Related
Mar 21, 2013
I am currently attempting to dimension to a spline in an orthographic drawing and running into some issues. I can't seem to find a way to properly dimension rather than making microscopic holes in the piece and that way giving the .idw something to grab on to for dimensioning.
View 2 Replies
View Related
Jun 28, 2013
How can I have both Inch & Metric dimensions on a drawing? Preferably, inch above metric below.
View 1 Replies
View Related
Feb 10, 2012
Is it possible to automate dimensioning of drawing views?
Here's the situation: I have an Inventor assembly that's controlled entirely by iLogic. My users, who have zero Inventor training/experience (or with any 3D CAD software for that matter), pull up the assembly. They enter product related parameters from paper work orders into an iLogic form and hit a "Go Button". The assembly updates based on the parameters, suppressing and unsuppressing parts, features, patterns, and mates. This works great. They then hit a "Run Job" button. This takes them to an .idw where they fill out another form with order specific information and hit another "Go Button". This then cycles through every detail sheet and the parts list, deleting sheets deeemed unneccessary for the product, generating part numbers, exporting dxf's, generating an excel BOM, etc.
This works great as well. The problem is with the dimensions. They blow all apart when the model changes. I know I can run some API code to delete dangling dimensions, but is there away to programmatically create dimensions so I don't have to rely on my users remembering what needs them? I've played around with using model dimensions, but I find that they stay and remain attached even when their corresponding feature gets suppressed.
IV 2012
View 1 Replies
View Related
Jun 4, 2012
How can I delete some points that show in my sketch like these (see the attachments). by the way, they are related to sketch constrains?
View 6 Replies
View Related
Sep 13, 2012
I need to create about 100 off points in a sketch.
I have the x and Y co-ordinates in a excel spread sheet. Is there any simple way to create the points other than manually entering thru precise input.
View 2 Replies
View Related
Jul 25, 2013
I’m looking to model abasic part in 3D then throw some dimensions on it in paper space for quotationpurposes. The problem I have is even when I try aligned dimensions theextension lines from the dimension are not in the same line if vision as themodel (and this just looks awful). The parts are so basic they do not warrant a proper 3 view orthographicdrawing as a simple 3D sketch will suffice…
View 9 Replies
View Related
Oct 7, 2011
I am trying to get Sketched Symbols with leaders to align.
I have a sketched symbol defined that has connection points defined at the outer quadrants. If the symbol doesn't have a leader they snap together at the connection points without any problems.
If the symbols have a leader they either won't snap, or jump to a random location depending on what grip you select to move.
The following video image shows the problems with the symbols with leaders.
View 1 Replies
View Related
Apr 13, 2012
I am using Inventor Professional 2011.
I have a series of points that I've placed along a sloped line in a 3D Sketch. However, if I delete one of the points, all the points that have been created are erased as well. I found a way to get around it (remove the constraints of the point I'm trying to delete and then delete the point). However, if I want to delete multiple points, the solution I have would take up some time.
I don't want to create a rectangular pattern in a 2D sketch because, when the line changes slope, the pattern doesn't seem to recognize the new slope direction and the points appear offset from the new sloped line.
Is there a way I can get create some semblance of a pattern in 3D sketch and also have the ability to delete individual points within a series of created points?
View 8 Replies
View Related
Dec 6, 2013
Given a sketch, I wish to get its profile paths (outer, plus inners), for each path, I wish to get their individual curves (line, arc, splines, any type). For lines, I need start and end points, for others, some sample points would do.
For "T" like thin profile shape, following code got me, 1 Profile Path, which had 8 Lines (thus 8 points) and it worked fine.
For Each path As Inventor.ProfilePath In extFeature.Profile
If Not path Is Nothing And path.Count > 0 Then
For Each entity As Inventor.ProfileEntity In path
If entity.CurveType = Curve2dTypeEnum.kLineSegmentCurve2d Then
Dim oSkE As SketchEntity = entity.SketchEntity
Dim oLine As SketchLine = CType(oSkE, SketchLine)
Dim startpt As Inventor.Point2d = oLine.StartSketchPoint.Geometry
Dim endpt As Inventor.Point2d = oLine.EndSketchPoint.Geometry
But same logic does not work (crashes at Casting I guess) for "S" shape as below:
It gives path.Count == 0.
View 9 Replies
View Related
Jun 25, 2013
When I use the import excel points function in the 2D sketch menu of Inventor 2013, nothing happens when I open the excel file. No points are drawn in the sketch... I don't even get an error message... I have tried the same thing on another computer with the exact same spreadsheet and it works 100%.
I'm running Inventor 2013 service pack 2 on a Lenovo Y570 with an Nvidia GeForce GT555M GFX card
View 2 Replies
View Related
Feb 1, 2012
I have a newly discovered issue with left clicking and moving lines and points in 2D-sketch.
After working in Inventor for a while I cant move lines and points(green and unconstrained geometry). If I exit 2D sketch mode and enter again I can move a line once and then its back to not being able to manipulate the geometry at all, the curser just want to create a marking box.
I have a new optical mouse with cord, its a Logitech G400. I have switched mouse but with the same result.I have installed the latest driver for the mouse.
View 3 Replies
View Related
May 15, 2012
Within a part, I'm trying to identify sketch points that are generated from projected geometry, but the geometry is subsequently changed higher up the feature tree, leaving a pink sketch point (or worse). What attributes would such a sketch point have?
View 2 Replies
View Related
Nov 6, 2012
I am using projected and sketched geometry (2D sketches) in assembly space to create lines/ points that I intend to use to define planes and axes. The problem I have is that nearly all the geometry I create (lines and points in 2D sketches) is not "selectable" when I try to create planes or axes. I cannot even put a work points "on top of" my sketch points. Why are my sketches not usable in the assembly space? Since the components in my model are just two extruded rings I don't have any linear edges I can select to make this work/ define planes.
View 9 Replies
View Related
Oct 6, 2012
I want to draw a line between the two sketches visible on the image below. The line should be in the plane visible. The starting point of the line should be from wherever the top sketch intersects the plane of the current sketch. The finnish point of the line should be wherever a line of the bottom sketch intersects the current sketch plane.
There is no tooltip appearing that would allow me to quickly "attach" the starting line to the correct position. Is there such an aid, and how do i turn it on?
View 1 Replies
View Related
Dec 13, 2013
I will receive printed out drawings that are entirely drawn with the use of ordinates, putting the 0,0 point in the corner of the part, and dim everything from that corner. Like this example:
The problem I'm having is when I recreate the parts digitally and have multiple parts to dimension, I can do one that looks as clean as the ordinate version, but the rest are dimensioned using the baseline tool, and look like this:
Though it works, it takes a while to make it nice and legible for my print out version. And most the time the parts are more organic and don't have any corners, but this is the best example for my question.
I know I can't have multiple 0,0 points in model space, but I was hoping there would be a better way to achieve the clean look of the ordinate points. Or perhaps create a reference point that can be duplicated, moved, and the ordinates will recognize.
Note: As much as I'd like to use paper space to dimension my parts, I can't.
View 9 Replies
View Related
Dec 18, 2013
Cant figure this out - I create a sketch in a drawing, but I cant see the lines as I'm drawing them. The lines are on a "solid" layer set to red as defined in my standard. The background of my drawings is black. When the line command is done, the line appears and it's red. Problem is I cant see it as I'm sketching. Is there any way to modify this? Can I have the line appear red (or white) as I'm sketching?
Product Design Suite Ultimate 2014
Vault Professional 2014
Windows 7 Pro SP1
HP-Z400: 2.67 GHz 12 Gb Ram
Nvidia Quadro FX1800 driver 276.42
View 2 Replies
View Related
Aug 2, 2013
I'm a student and a beginner in VBA. I'm writing a macro to automatically draw text and lines in a drawing and it goes pretty well. But now I have encountered a problem. When I add text like this:
Dim FreqBox As TextBox
Set FreqBox = oSketch.TextBoxes.AddFitted(oTG.CreatePoint2d(1.9, 1.95), GegevensForm.FrequentieVak.Value)
This is like I want it, but not the right font or size, so I add this:
FreqBox.Style.Font = "Arial"
FreqBox.Style.FontSize = 0.2
This goes well too, but then I want to add another TextBox, in another style, like this:
Dim VermogenBox As TextBox
Set VermogenBox = oSketch.TextBoxes.AddFitted(oTG.CreatePoint2d(3.7, 3.2), GegevensForm.VermogenVak.Value)
VermogenBox.Style.Font = "Arial"
VermogenBox.Style.FontSize = 0.5
VermogenBox.HorizontalJustification = kAlignTextRight
VermogenBox.Style.Bold = True
And suddenly when I run this, the other text is changing to these settings... (exept for the alignment).Is it possible to do this without the FormattedText option
View 1 Replies
View Related
Oct 2, 2013
Every time a select a plane to sketch onto, it rotates 180 degrees...... i have looked in the settings but cannot really find anything.. i have attached images for reference .
View 3 Replies
View Related
Nov 22, 2013
I have created a loft from 4 different sketches. Now I want to make a drawing with the front, side view and the dimensions of the 4 profile sketches from the loft. But I can’t find a way to put the sketches from the part on my paper. It works with copy-paste ;^) but this is not the way I want it (it’ll not change when I change the profiles in the part).
View 6 Replies
View Related
Dec 19, 2011
VB.NET with VS2010, Inventor 2012
I have a drawing view of a part with a sketch that contains some lines. I need to pick one of the sketch lines.
I can pick a line with sketch active using the kSketchCurveLinearFilter
I have not been able to pick it from outside of sketch. Have tried using kDrawingCurveSegmentFilter to get a DrawingCurveSegment but I can not get the sketch line from the DrawingCurveSegment
I assume there is a way to get the sketch line from DrawingCurveSegment or DrawingCurveObject but have not figured it out.
View 3 Replies
View Related
Aug 22, 2011
We are trying to add reference lines to the idw drawing for a sub-assembly. These lines represent centerlines of parts of the main assembly. The main assembly is not the reference file for the drawing. However, the required dimension setting the centerlines is a User Parameter in the sub-assembly. (The centerlines are represented by work planes in the sub-assembly file). Using iLogic, we were able to populate the User Parameter from the sub-assembly into the idw file. We can see it as a User Parameter in the idw file. However, when we go into sketch mode the User Parameter is not an option. In sketch mode, we pull a dimension between the two centerlines (d4). When you look at the parameters d4 does not exist so we cannot set d4 equal to our User Parameter (and we've looked there are no filters on). We need this dimension to be able to adjust as the length of the sub-assembly adjusts for different cases. Each case is unique and done on a job by job basis.
There are several places in our drawings where being able to place reference lines and set their relationship to the part would be very useful.
1. Why are the User Parameters not available for use in sketch mode on a drawing?
2. Why can the dimension IDs (ex. d4) not be seen by looking at the parameters?
3. alternative way of putting reference lines on a drawing?
View 4 Replies
View Related
Jan 8, 2013
Using Inv 2013 and VB 2010. I am trying to reference a sketch within a drawing view, but I am having a hard time figuring out which view number and sketch number to use. I thought I had it figured out, but apparently I was wrong.
For example, see the 2 attached pics, Drawing A and Drawing B. For Drawing A I had the sketch reference set as
Dim oSheet1_View As DrawingView = oDrawDoc.Sheets(1).DrawingViews(3) Dim oSketch As DrawingSketch oSketch = oSheet1_View.Sketches.Item(1)
Drawing View 3, as it was the 3rd Drawing View in the list, and Sketch #1 within that Drawing View. I thought this was how it worked, because it worked with my code and it hid the sketch. However, moving on to Drawing B, I used the same code, and it does not reference that sketch at all. It did nothing to it. Even though the Flange_Holes sketch is in the same position. 3rd View down the list, 1st sketch.
So how does Inventor reference these views and sketches? Is it in order of creation? Is there a way to reference it by the what the sketch is named instead of trying to decipher the number it's assigned? I have a lot of drawings already made, and I'm not positive the views were taken and created in the same exact order each time.
View 1 Replies
View Related
Oct 12, 2012
I have a question regarding copying geometry in drawing mode.
When I was working in V5 and making drawings I sometimes had to "fake" geometry, the world is not perfect I know, copy geometry in the 2d, like center lines and such. I am trying to do the same in Inventor and use the project geometry button and geometry is created but it does not show up when exiting sketch.
View 5 Replies
View Related
Mar 20, 2013
How can I display a sketch or projected geometry that is not a closed loop in a ipt drawing? Historically I have to use a closed loop and emboss in order to display the geometry in a drawing.
Then move that forward to a DXF file for its intended use. I think there should be a way to just have lines placed on the model and display it on a drawing without it having to be a feature.
View 8 Replies
View Related
Apr 16, 2012
I can "Get Model Sketch" to make it appear visible in a drawing view. But I can find no way to use these "edges" or "lines" or "entities" or whatever they are, later in a drawing view sketch. No way to project them from Model Sketch to Drawing View sketch. I can attach leaders and dimensions to these Model Sketch entitites but I can find no way to use them in a sketch owned by the drawing view. Am I missing something?
IV2012 SP1
View 8 Replies
View Related
Jan 23, 2012
Can we now toggle "sketch only" geometry when creating drawing view sketch transient geometry in the Inventor 2012 API?
View 2 Replies
View Related